<?php
//@*--


class Theme_Designer_Block_Catalog_Product_Featured extends Mage_Catalog_Block_Product_List
{
    protected function _beforeToHtml()
    {
        /*if (!count($this->getItems())) {
            $collection = $this->_getProductCollection();
            $productsCount = $this->getProductsCount();
            if ($productsCount) {
                $collection->setPageSize($productsCount)->load();
            }
            $this->setCollection($collection);

            return parent::_beforeToHtml();
        }*/
    }

    protected function _toHtml()
    {
        Mage::helper('designer')->setTemplateFallback($this);
        return parent::_toHtml();
    }
}

//--*@